// Header File
// Created 08/06/2006; 10:30:30

#ifndef __FROMPIC_prototypes_H__
#define __FROMPIC_prototypes_H__

// 'FromPic' is a static library that allows you to draw lines and sprites from other pictures 

#define SPRT_RPLC			2

void FromPic_Sprite8(short, short, short, const unsigned char *, void *, void *, short);
void FromPic_Sprite16(short, short, short, const unsigned short *, void *, void *, short);
void FromPic_Sprite32(short, short, short, const unsigned long *, void *, void *, short);

void FromPic_DrawLineFast(short, short, short, short,  void *, void *, short);
void FromPic_DrawHLineFast_OR(short, short, short, void *, void *, short);
void FromPic_DrawHLineFast_RPLC(short, short, short, void *, void *, short);
void FromPic_Dissolve(void *, void *, short, short);
void FromPic_GrayDissolve(void *, void *, void *, void *, short, short);

void FromPic_DrawLinesForDisk(short, short, short, short, void *, void *, short, short);
void FromPic_Disk(short, short, short, void *, void *, short, short);

#endif